(define (script-fu-cubistic Larghezza Altezza inText inFont inFontSize)
(let*

(

(position 0)

(image) 

(livellobase) 

(width)

(height)

(posx 10)

(posy 10)

(c1)

(c2)

(c3)

(TW)

(TH)

(blurx)

(blury)

)
(set! image (car (gimp-image-new Larghezza Altezza 0))) 
(set! livellobase (car (gimp-layer-new image Larghezza Altezza RGB "c0" 100 NORMAL)))
(set! width (car (gimp-image-width image)))
(set! height (car(gimp-image-height image)))
(gimp-image-undo-disable image)
(gimp-image-add-layer image livellobase position)
;Sfondo nero
(gimp-palette-set-background '(0 0 0))
(gimp-edit-fill livellobase 1)
;crea livello testo con il testo immesso dall'utente
(set! c1 (car (gimp-text-fontname image -1 posx posy inText 1 1 inFontSize 0 inFont)))
;colore bianco
(gimp-text-layer-set-color c1 '(255 255 255))
;calcoli per il posizionamento del testo
(set! TW (car (gimp-drawable-width c1) ) )
(set! posx (/ (- Larghezza TW) 2) )
(set! TH (car (gimp-drawable-height c1) ) )
(set! posy (/ (- Altezza TH) 2) )
(gimp-layer-set-offsets c1 posx posy)
(gimp-layer-resize-to-image-size c1)
;crea copia - c2
(set! c2 (car (gimp-layer-copy c1 TRUE)))
(gimp-image-add-layer image c2 0) 
;settaggi dei colori
(gimp-palette-set-background '(255 137 68))
(gimp-palette-set-foreground '(255 187 0))
;gradientmap
(plug-in-gradmap 0 image c2)
;cubism
(plug-in-cubism 0 image c2 10 2 0)
;modifica c1
(plug-in-bump-map 0 image c1 c2 135 45 8 0 0 0 0 1 0 0)
;setta c2 come grain merge
(gimp-layer-set-mode c2 21)
;crea copia c3 
(set! c3 (car (gimp-layer-copy c2 TRUE)))
(gimp-image-add-layer image c3 0) 
;Motion blur su c3
(set! blurx (/ width 2))
(set! blury (/ height 2))
(plug-in-mblur 0 image c3 2 50 0 blurx blury)
;setta c3 come overlay
(gimp-layer-set-mode c3 5)
;parte finale del codice
(gimp-display-new image)
(gimp-image-undo-enable image)
(gimp-drawable-set-name c2 "FX1")
(gimp-drawable-set-name c3 "FX2")
(gimp-displays-flush)

)

)

(script-fu-register "script-fu-cubistic"
"<Image>/File/Create/Logos/Cubistic text..."
"Make the Cubistic Text Effect, Create l' Effeto per Testo chiamato Cubistic! Tutorial su: http://www.kaints.com/"
"kain the supreme" 
"kain the supreme" 
"December 2008"
"" 
SF-VALUE "Szerokość" "800"
SF-VALUE "Wysokość" "120"
SF-STRING      "Tekst"         "Text Box"   ;a string variable
SF-FONT        "Czcionka"         "Charter"    ;a font variable
SF-ADJUSTMENT  "Rozmiar czcionki"     '(100 1 1000 1 10 0 1)
)